QT       += core gui
QT += charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    CameraImage/CameraImageHandler.cpp \
    Group.cpp \
    ImageWidget.cpp \
    ImageWidget_nodrag.cpp \
    Login.cpp \
    OriginalWnd/ChartsAndCamerasWnd.cpp \
    OriginalWnd/MainAndSecondaryCamerasWnd.cpp \
    OriginalWnd/OriginalWnd.cpp \
    OriginalWnd/SingleCameraOperationWnd.cpp \
    OriginalWnd/chartline.cpp \
    OriginalWnd/treeviewmanager.cpp \
    main.cpp \
    MainWnd.cpp \

HEADERS += \
    CameraImage/CameraImageHandler.h \
    Group.h \
    ImageWidget.h \
    ImageWidget_nodrag.h \
    Login.h \
    MainWnd.h \
    OriginalWnd/ChartsAndCamerasWnd.h \
    OriginalWnd/MainAndSecondaryCamerasWnd.h \
    OriginalWnd/OriginalWnd.h \
    OriginalWnd/SingleCameraOperationWnd.h \
    OriginalWnd/chartline.h \
    OriginalWnd/treeviewmanager.h \

FORMS += \
    Group.ui \
    ImageWidget.ui \
    ImageWidget_nodrag.ui \
    Login.ui \
    MainWnd.ui \
    OriginalWnd/ChartsAndCamerasWnd.ui \
    OriginalWnd/MainAndSecondaryCamerasWnd.ui \
    OriginalWnd/OriginalWnd.ui \
    OriginalWnd/SingleCameraOperationWnd.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES +=

RESOURCES += \
    res.qrc

QMAKE_PROJECT_DEPTH = 0
